summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-02-16 11:36:40 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-02-16 11:36:40 +0000
commit01264ef95477b8c1380cd3525278c507006685ee (patch)
treed6c4fb91c18374343eaec47509abf415b67092b3 /dev-python
parent318a0f105173572144e82f93006399343d31ab8b (diff)
gentoo auto-resync : 16:02:2024 - 11:36:40
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/GitPython/GitPython-3.1.42.ebuild79
-rw-r--r--dev-python/GitPython/Manifest3
-rw-r--r--dev-python/Manifest.gzbin269211 -> 269244 bytes
-rw-r--r--dev-python/aws-sam-translator/Manifest2
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.85.0.ebuild62
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.34.43.ebuild58
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.34.43.ebuild67
-rw-r--r--dev-python/cryptography/Manifest3
-rw-r--r--dev-python/cryptography/cryptography-42.0.3.ebuild146
-rw-r--r--dev-python/fakeredis/Manifest2
-rw-r--r--dev-python/fakeredis/fakeredis-2.21.1.ebuild84
-rw-r--r--dev-python/fonttools/Manifest2
-rw-r--r--dev-python/fonttools/fonttools-4.49.0.ebuild98
-rw-r--r--dev-python/google-auth/Manifest2
-rw-r--r--dev-python/google-auth/google-auth-2.28.0.ebuild59
-rw-r--r--dev-python/pikepdf/Manifest2
-rw-r--r--dev-python/pikepdf/pikepdf-8.13.0.ebuild68
-rw-r--r--dev-python/pipdeptree/Manifest2
-rw-r--r--dev-python/pipdeptree/pipdeptree-2.14.0.ebuild43
-rw-r--r--dev-python/plotly/Manifest2
-rw-r--r--dev-python/plotly/plotly-5.19.0.ebuild116
-rw-r--r--dev-python/pyside6-tools/Manifest2
-rw-r--r--dev-python/pyside6-tools/pyside6-tools-6.6.2.ebuild76
-rw-r--r--dev-python/pyside6/Manifest2
-rw-r--r--dev-python/pyside6/pyside6-6.6.2.ebuild247
-rw-r--r--dev-python/shiboken6/Manifest2
-rw-r--r--dev-python/shiboken6/shiboken6-6.6.2.ebuild174
-rw-r--r--dev-python/stripe/Manifest2
-rw-r--r--dev-python/stripe/stripe-8.3.0.ebuild81
31 files changed, 1490 insertions, 0 deletions
diff --git a/dev-python/GitPython/GitPython-3.1.42.ebuild b/dev-python/GitPython/GitPython-3.1.42.ebuild
new file mode 100644
index 000000000000..68edb93079a7
--- /dev/null
+++ b/dev-python/GitPython/GitPython-3.1.42.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.11
+SMMAP_P=smmap-5.0.1
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="
+ https://github.com/gitpython-developers/GitPython/
+ https://pypi.org/project/GitPython/
+"
+SRC_URI+="
+ test? (
+ https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
+ https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+ https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "travis@ci.com" || die
+ git config --global user.name "Travis Runner" || die
+
+ git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+ git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb || die
+ git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+ cd "${T}"/test || die
+ git rev-parse HEAD > .git/refs/remotes/origin/master || die
+ TRAVIS=1 ./init-tests-after-clone.sh || die
+ cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # performance tests are unreliable by design
+ test/performance
+ # unimportant and problematic
+ test/test_installation.py
+ # Internet
+ test/test_quick_doc.py::QuickDoc::test_cloned_repo_object
+ # TODO
+ test/test_submodule.py::TestSubmodule::test_base_rw
+ test/test_submodule.py::TestSubmodule::test_root_module
+ )
+
+ epytest -o addopts= test
+}
diff --git a/dev-python/GitPython/Manifest b/dev-python/GitPython/Manifest
index a7801eba0450..bda9a120e873 100644
--- a/dev-python/GitPython/Manifest
+++ b/dev-python/GitPython/Manifest
@@ -2,10 +2,13 @@ DIST GitPython-3.1.40.gitbundle 9832215 BLAKE2B 2aa1dac889267bd0b81f9451bc347b84
DIST GitPython-3.1.40.tar.gz 200655 BLAKE2B c95cd864bfc664eb704ac3702f5a6c78fc0f2288af945001622cb78c2e855fdf3af068736c569392a29b201dc3952d0574c7f7c39c0531269b6efb55f5506344 SHA512 e8ade266002aa6fcd4b12e3828e7ec45b4dd894c897f31946dc29461b7e81b380ea832a9ea270533e7491e006c92948c62bbc21ab960467cf6287d0bac5228cf
DIST GitPython-3.1.41.gitbundle 10232969 BLAKE2B 8d831241a706c7e0729e81b177bbeb307ff40cc0cbc0a2693cf0f78478732368cee4b26d6621ae5948a3183258961cf841284e77ba6326de80ca8e2b9bb6ab72 SHA512 9ff45afabfd04ad1bc7bfc9a37b2c3ddf12e8d62d66f4efae07a60a19d6ab05e027e3fe8ad7a0019bfdf3e6d255c4f493987e9f3761f575976e34fabe16dc79d
DIST GitPython-3.1.41.tar.gz 209029 BLAKE2B be7dfac9a6bc318c33b7cc8d1c6e801f6d0e0f46916a617cceba0f831684953c759ad7b8ed690cca92b07636418dea021dc38608194c7cb6c985ea401b669e47 SHA512 e6d113b4e45505481d46fce1b3b71e3dcfc0f3576ffb8bdd1b0ce3d3ec1625cfad4a8dce3d5126545d66ff72eb74421408f690a44d52e1513be59466721e4c45
+DIST GitPython-3.1.42.gitbundle 10271846 BLAKE2B 72023a523c0bf888d1fa356a303feff19e142018d7d21722510b7fff69174794feed8fdda84c6fc4c8738c551634924331e48eb82dac71d8c5ebcf145296f6bd SHA512 c7b5ce6bf4500f6350bd1b260317e235fb16d4b8d3dfce9849a845a96d466f61eba9d40f18a0c7d302718f856d08f9c50bde811cadedb78d1dd2ebddaf9cfe48
+DIST GitPython-3.1.42.tar.gz 203449 BLAKE2B 7c18cb6cf0cc10b3269889bd7f4b0c3b61fd0ed765b3723c5bdf331a6e030bdc76587ce1c8e3d8ca5d7cb003968b74c6079b466a6afd3326c418f16e81ed9291 SHA512 f83d5fadc5fbd4d7837d42bc78bc07a9609bb0a10f5938de8d6c88da91de5638fafd6df23e468f7c23c19e11b4fbf273c19858336791ff199997dbe4e1aec91e
DIST gitdb-4.0.10_p1.gitbundle 1612782 BLAKE2B 9a424df0afd174da722c4721a5a52db83dccc5a2d69dd186622e5e21c48a6fdb6f20d84ad959f2070d8ff4cfa1e9be8f99b97e2a6ce5aab1696737858429e018 SHA512 b52a978ffbda8fb048fa0920cc2cc597b077b468dd77ce1a8e784ca7c724760eee75b168ac98f1051b03d364ba88812e8cacd5a7f6fa658cf312e626d0b2ad0a
DIST gitdb-4.0.11.gitbundle 1620355 BLAKE2B 8095193318d4262b8ebb04f35a0500eda8757057ed472dbaaece53e6afa6227e2b2c02a2be5daa5e4c0cc43dcbb5046555407d3d7c8dbed0bc5c415515032b8d SHA512 17e404b335a3c081f4058aeba5c57e5697a580f8ad7a280fde868968cf48f5a0852bfa45019eab730279582c0c536f8204e973d93af09da05908477329d73360
DIST smmap-5.0.0_p1.gitbundle 324544 BLAKE2B 69098c7644abaec7f32226cad7ff3008e49d94c9f7349d0b815223249c20bfd2b51a50474e51864821f30c98f5982e5c35ce9217145a1e5d11326492c41faecc SHA512 4f36ca2c94ddfeb949c880fb52c3b1905d144dd59b95f2f05c93ed7b694dcb128218a2800ca23b721fbeff9a1920e8c3326675098e2ef0361ff6e90c8c2850ba
DIST smmap-5.0.1.gitbundle 362567 BLAKE2B 72c8b48ad3250a33b94218c145c02033dee84c1da5f1eea57983a58699262d51844be675330d95c7d64924b6aeaacd4b0a57e9a5acad3be184aaad62102202e7 SHA512 9ca8386bfec25d1562cdf1c2ee85f7edb15fd3f44ecd1abbef738979f12b82f0b0f39a06589203a39f89518d981d7129e35f64f2d855cd162cd964bdd87c8d18
EBUILD GitPython-3.1.40.ebuild 1975 BLAKE2B 2ed7715f36a75a96aa3363073336e7598fc4246fd469bd7a8b14707ae9422f8f6593f2d3fe5d347e154b0fcd36b737c474aa3c2789ff061bdb45fb5185750622 SHA512 9119a3d53a0b522ab4b055786b488f2264568dff031067868a72fbd3a51832ea07cb72fab35600b586d509e0f3a0e026971eaacb9a2f969672e36c53cbdc6bee
EBUILD GitPython-3.1.41.ebuild 2022 BLAKE2B 15c88eb179c9a0298c62822eb9b705a239b50fcec0b98d34d98baece68a08a2473311c94f2c5515b0f7d0f0e2791baa158db3f2d0aeddd398f4c2d7600a2b32b SHA512 c719d0b8cbfcea9dfece9d765c6950be1c5ff64dad3bdcfe395c5fbc2cb893fe2459eb1b2f301770421dd533aecf5922cabc5dac6b15d5b3370b531c6ce7fc56
+EBUILD GitPython-3.1.42.ebuild 1990 BLAKE2B 28e779bd4479ece31e983d54cfd26e4a214d8cb1490c73592306e530254aaabdba02588954b5ba8baf34c3fb3776c06799f82eb9c002de5ca8d4a0fa39c8f219 SHA512 327e67ba9088ed470a35e17f7d8c7cf988a1623d789101fee0d437155f4d9886e4e5f169e55e8dcf895615475c1619845d980906d1217a04e787de60d2db8648
MISC metadata.xml 407 BLAKE2B 49fd8d520d575be1489c299f22595120fad882f055b9cf2d02b87382c6d8f0ff38af694e5584b4da579aa84b82c2f1032e4afb64cafd9f4fe9212a6d67b4a752 SHA512 1bebe1e134eb86a4745cf7e297d45118a2bdd3d8a71d0034294b5c799a9cee763c63b61b34c6707c52f61058f727f4b827dd020d285fc297712b29eb7c1129ef
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index e821bef27a44..af0cf6488a59 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index 259609079a0b..82fd3f1ef1e1 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1,5 +1,7 @@
DIST serverless-application-model-1.83.0.gh.tar.gz 5423374 BLAKE2B faa11adf7b6ec9df3eb625a77c2f6242b4c9fe170be8926f90da1cab94dc2c018e2ba7fc53dffec63756e68deebe7bdb22853d9e67e84e8e696399b81ed4b648 SHA512 f2bd8ce766894118107dd6cac245ae47b9fd819f9cb04a0c7d176ab3ec4f56bebbfc9c4e371f2b1db372c594a15d3c6871195b5aba06712a9f2408a51284cba1
DIST serverless-application-model-1.84.0.gh.tar.gz 5467750 BLAKE2B 386abc362020a9f3da6e040d0d31c1da9ee24311d779dabf9deb84ca5fd2abc655daf78f0303884e81fee1eb4a14f30f42e768475b85ad389d10625452fc9703 SHA512 4d771dccb9ca2d5f03c7e04f3dcf40c06b7a23cc5eb9a59d1fc2ae76abb944d469127131b1995edb9d44c90ef637b21fe65af42df2adf559fd06af92016ff2e5
+DIST serverless-application-model-1.85.0.gh.tar.gz 5472842 BLAKE2B 528a7e5f17a461741d3dd1911dda13c592a835cb2d44452d2c719e072e6d1dd715562d3660f9f92200ff6b5893d32e05ecc9faf30a835de9cc29ef72af4489f3 SHA512 a48b0ca4d18f524623f2e23ea3b721e1bda3bc94ded53859f87e40c53ba4e9f3b97423aee58f20a041eaba4a1b092353c88de33a52576fc4084670cb45f4c7f2
EBUILD aws-sam-translator-1.83.0.ebuild 1674 BLAKE2B 3f94a613a37ace84a96a89ab11c3829e6d98cb0a96cdc59566095ff722d47ed65b5f28404ba74469405c4561c765d4da4a8f8cc0a9ccabb89191ba148fd08de8 SHA512 df3938da391ec2c3ff39cf4b7129cef4945f62a75daa232e2c1d514e08bc7b37c45c5bb651f7f800dec9dd087a09411c8a75c370bd7f08d36a77e9ea55a1de64
EBUILD aws-sam-translator-1.84.0.ebuild 1677 BLAKE2B b8d7ec7611f4ff1841b312269c528d21dbd9d48c87746f03031569931d9e0118701417533638e237b923eecd315187c2e4c23c254e0c8702544b31cf6319b4dc SHA512 67a57cf37ae68a6e578446382ba24eeac23c853719b6e5ef4d35070fa34dd33b045d1c8a49865b2e88f24b9979a03852ecda3720036d2d2bca794d9665a62561
+EBUILD aws-sam-translator-1.85.0.ebuild 1677 BLAKE2B b8d7ec7611f4ff1841b312269c528d21dbd9d48c87746f03031569931d9e0118701417533638e237b923eecd315187c2e4c23c254e0c8702544b31cf6319b4dc SHA512 67a57cf37ae68a6e578446382ba24eeac23c853719b6e5ef4d35070fa34dd33b045d1c8a49865b2e88f24b9979a03852ecda3720036d2d2bca794d9665a62561
MISC metadata.xml 603 BLAKE2B 89556267393186cf69a585c58efeb6fa599bfb42ef221bea955ea807a28edee89036a2ee0d0ca81ae55d96702a01b171b837754dabf38047ecc2789157bb7116 SHA512 106b6d241eadf7807dadf03329073703f8b51e7443eddc4db8752878b6dd84cc4357689cd4b796b3a083192e9d98eacbe9e7b8af0273160c7b89846e78230a88
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.85.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.85.0.ebuild
new file mode 100644
index 000000000000..166699d76ae6
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.85.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing
+
+MY_P=serverless-application-model-${PV}
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="
+ https://github.com/aws/serverless-application-model/
+ https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+ https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/boto3-2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.19.5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2[${PYTHON_USEDEP}]
+ <dev-python/pydantic-3[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.8[${PYTHON_USEDEP}]
+ <dev-python/typing-extensions-5[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # so much noise...
+ sed -i -e '/log_cli/d' pytest.ini || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AWS_DEFAULT_REGION=us-east-1
+ epytest -o addopts= -o filterwarnings= \
+ -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 4c40b00aa0ce..4dbb75b4196a 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,10 +4,12 @@ DIST boto3-1.34.39.gh.tar.gz 773491 BLAKE2B 69256649eb3bc5a856adffe4fb1e0e3f1e14
DIST boto3-1.34.40.gh.tar.gz 773834 BLAKE2B 3622514c5e114a015dc7725bf7415858956e91084715a0e1342a6baacca62a1a2a453dfbe972bdf57438047b30a7729cd98f81afaf554ff8beb89eafd3920bbb SHA512 875afff65371b5991fcc1c832ddcc919dc04306ce03ddba8851e69f4138fc8698f3d21c340bb2936e9022fe0813eb90f2ac084e2531166ee21542a049bb3f1c6
DIST boto3-1.34.41.gh.tar.gz 774170 BLAKE2B ec6c60a181afa8266018f8dd58917a7277d2b405736b2af94689cd7b3af6b961799f8ba4ea1395917695673d857cb9542507daed78d5e13f9517e3bcb254e08c SHA512 2f9be9b87c2f632d9291419eccd155a13d6120e93e1966afc236405742d4a2357fe53cc5dcc9b10aaf22ffe93d2e52285e3d44d4f578b5688a08b9cb705c42f1
DIST boto3-1.34.42.gh.tar.gz 774581 BLAKE2B af50bc64eee24b2a8e56453a1823ad008e745dcd0335d2ea2bcbf58d84311cd1b4da91bf1cdbb0ed74ea4e17fb6a278279628634f33bf2649d4c22be1251cb18 SHA512 cfee96d5da7eaeb324113baa5f52fc1f3576db74e2d5bd72345701ebdd9907a915715fff14cd0cabcffb5a790c0432177e4881eda487b0882f97d6cc2c14bc57
+DIST boto3-1.34.43.gh.tar.gz 775352 BLAKE2B 3b692a89c6c6c7af50c5815fd95819f44cca7c1933a06cb1e5de4197b527281143a04074b1dc40ff9563098efb399360b9ca708789457cbf2d79bdd0c4c0f149 SHA512 21a90448c3b6feaec2492d86c4c40d69a8227198d1c18347a5b85d51c082abe357024efb699207c70f60c47ed3ffa7ece2b2fb50695c2df8d09628ae25ef7ff2
EBUILD boto3-1.34.29.ebuild 1258 BLAKE2B 7f7ba2672f66400a4c2c202847d4bc7b57a0941b51f4f2f725475c38b6092c6a89687476db8bb701688ff47ccce491ffc435968a407ffc30ef860747573a1f43 SHA512 aebf347c928b4364a045a4bfb20edad39f9530fed5dfeef6b7e684feae0a146b71aa53cbb49f0b79e89671b97402aad447e6971df74ee44fef523ebad23f992c
EBUILD boto3-1.34.34.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.39.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.40.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.41.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.42.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
+EBUILD boto3-1.34.43.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.34.43.ebuild b/dev-python/boto3/boto3-1.34.43.ebuild
new file mode 100644
index 000000000000..b64e7191fd19
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.43.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 4b6bc04cf892..2f1c7d5a374e 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,10 +4,12 @@ DIST botocore-1.34.39.gh.tar.gz 12697404 BLAKE2B d8670c591c06cf5b02562adb234225d
DIST botocore-1.34.40.gh.tar.gz 12700016 BLAKE2B 95be55cb5c0f1a55846478196c905427d1c45f9fbff6f57506cb4a7ee2112f5034d6e7872bb9d27e89f55dd64e3b2ce33d0a5cea461f9fd1ff5a02a1a60f3748 SHA512 ebf72c591f72286e06d21cd69234b91d681f8b1c9fd2a1bb1c5720b997d2b7f968ab0802bdc01a59eac395fc1822764efb27874edbe273f0747a6f0c8775a540
DIST botocore-1.34.41.gh.tar.gz 12702662 BLAKE2B 65c99f1c6ebfe6f33dc8747bdd104ab8a81884f0f729072ecc7f06e077766bbac58fffe7d185e959a3de892f634d2b68e96c2f3c7193e36a0eb3f54656c3ea41 SHA512 7ce1a8cfc196f200baddb395e63ebac405c320b8f521d8fea23fcf2d8d17e3530efc18e94cfcce749dfe86c5c4f2943f533edadb6bdcff05d623d3fa07b5b738
DIST botocore-1.34.42.gh.tar.gz 12706455 BLAKE2B 8167771d56270caafe58cd9acdc1a6e25da3fd11c4b49196f3de00814e98d8db100f08e9862331c5e905ba863c852611d9fe796d7b84ac2e8a0865888e75a923 SHA512 074f06a506044bbfb2c925dafbcc63a08f968e9aab755f9779a97e4502ad457e468d833a151c538a575025df853fcc7ff409ab3455f8d02f4888af15dae0e6b6
+DIST botocore-1.34.43.gh.tar.gz 12712686 BLAKE2B 7cd7d6b3e57dba02ff2727d7c3aa80978a8431ae19dc6f2900bba8372a42eef416113d0cca26ec79518e97c019189f4c4d1faf706763a41a51c870dcfb51846f SHA512 fc66e51828a6818b2bdb3a27bd47b6e55dbc0530ef7e6fab7961e6e7f33126de2dd0261d76e976f11680730f4b581783d812bbcc01f4aad5db9aef5377e6f026
EBUILD botocore-1.34.29.ebuild 1405 BLAKE2B 83334c6fa86275e0fef66c0d2268c780300b9465bf7d992a3f891b58c8fdb78ed4dd672368de0f2fc5b93a137a4c77892b94b3eb18a65754cee4592011d8c406 SHA512 9f32d7a249c62fe5a594415fa188baf60d219636137c4e12674e898e8866365da1402cc55c1d1980c12e90698260401b0ff150677b1d65e1bfef2c3ee6ced48c
EBUILD botocore-1.34.34.ebuild 1411 BLAKE2B c322f7e557d9a1768fbb08c343983f5d20c1a08806b8af9b1e85345c7acfc046a13059fcca7cd63610287c437e9c05eabd759bb7cd3e04551f66b481a9b4dcbf SHA512 93c32833e354efb9851b26574fc01a865f1b3b86f8dbf3794bc33fc3e2f561246485d776662fc6f9872ec22fea2c061d32768b2b6e9441f2251947fafa5486be
EBUILD botocore-1.34.39.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
EBUILD botocore-1.34.40.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
EBUILD botocore-1.34.41.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
EBUILD botocore-1.34.42.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
+EBUILD botocore-1.34.43.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.34.43.ebuild b/dev-python/botocore/botocore-1.34.43.ebuild
new file mode 100644
index 000000000000..ba6cd2a5d2a2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.43.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index a9421ce9c0ea..9a46c0f0dde2 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -17,10 +17,12 @@ DIST cryptography-41.0.7.tar.gz 630892 BLAKE2B a2786c999b8a3fa9e413a330eeaf10765
DIST cryptography-42.0.0.tar.gz 671860 BLAKE2B 40452225cac2937603000a496fd95ea0734a6d055c44a4d385aff22cf943133e5a06c1efd4e401f4b43b56eb4c87af33b8b99d1aebd84e6768217887fd12a3bb SHA512 96a9eab6b23ed8a0789742e824429646ac6a038047dcc3ec092955b1308843d1686b012f7e12c64d8c40308049be98bbdb1af233e83c60b388a30035e50bb58d
DIST cryptography-42.0.1.tar.gz 672364 BLAKE2B 5e83c2dff17dc1ae03ca339766c91b28205694d73c9f2a08a169c4e41d63262a7f0180e0f4b92afd2a59d3226576b761c901341bdd4f2568111cfd9e6ffd3063 SHA512 978f21bb14dd15ab559af4c85cbc5c98b2ad047bedc980307d7fc91816ee50ace4b1259dac083eb03f03ce12db1eaae171405e33348ac3affd58c140b986dfbd
DIST cryptography-42.0.2.tar.gz 672761 BLAKE2B 9c97305adebb88127cc6e2e44affee6c9703638abb1b09e34da424a617aa9eaddd8498a2452711af998dbe7818a6148392be78106104d01f2106d8de2b65ac97 SHA512 100f604884cfe5335369d48eeb1d28ccd822f13ddd13c007f4a265c887362bda2b88646328ca570c9969897bd838df6c1f6b7fe4abaf36e82cdb93358694b12c
+DIST cryptography-42.0.3.tar.gz 669589 BLAKE2B 328c297a989f96d10e92c92d5b84e147512498be7ad205b2f36fcdb6234b4c77ac7f20f3ba8f74d05a573e2eacc68e315a97fbc429b87b5da625d4cf359773bd SHA512 d3733d08afea1cb3ad5a01f241ea7f58aaf38334cd25e2b7f64686ffd697f20ec30133931af7fe6a439ba0cb365d63ea6ec0512c627b768891f9e82c15dc0cdd
DIST cryptography_vectors-41.0.7.tar.gz 35288159 BLAKE2B ef2e82f42bb4964a256e875bf3b7bcca549df11839893ac3b8d909d05308360bb0696774fd89bd8951bf4f13aaf752a7700bfde78e68cce450ffaf5117182958 SHA512 05a96cc8d1e3653e62c6822f202f6c25157b2a11bcc42fa8a9462ac1844c295147ed5f49315f0b297c689e244cf13d02948ff5e57c21a487f0210f87518c913f
DIST cryptography_vectors-42.0.0.tar.gz 35277565 BLAKE2B a770b13244633dc155f21c9179440d4f5d393c71801e44e374e38c183055b842f127090160fab6ba44748e68b2004c0d128980b89b1ae760e6148ba4784fecce SHA512 2d7a633ddf6b81bc3098a54dc61b801e7ea8117424d02db2b9baeb2a2a6da734e07b64f24f924fbf1ae45d65ce2f34db8cc76b1bfaed9dab00a69ef0332245e1
DIST cryptography_vectors-42.0.1.tar.gz 35277715 BLAKE2B a1996ddd91eb5986c6ea72a3a163506ac60522eb459ce36b90ade44045d662ecbc6e2c2875a0437371885968524c43829e02bcbc094e6a1cb5ade5b743114cb4 SHA512 b7d4503f182e29d1d33bcd5ad2f4327a8deb3e11c640c843eab3b870780b7285323fa044f98dd052101e4926b2bbbbecdf5de00858df8fbedc25e7c69912b335
DIST cryptography_vectors-42.0.2.tar.gz 35277730 BLAKE2B 63e2d1b707b66e13f8aecefeebe1474118f05fcc017635b4fe91bfbd73ac43db2923375a75e0725eb35fb37d4facc2e2dadef771c84563d08d13e85fd90c0dfe SHA512 8ebc90e26b1398c5315061f621c3364e0b1759ccedcc566e6420e730f7df65763741e2cb26a87f4004964f4fb57703be2009fc5443266e0bfd9b5620ced9d04d
+DIST cryptography_vectors-42.0.3.tar.gz 35277759 BLAKE2B 4474fca84de99b025a8aa8c7414f5ead4c2c7e8098b80689229c133a8422b1aff034bcb54fcd840d9090230649ce26b52c10c1d4fb35e3ad7ec888952c809fb7 SHA512 35d0220b564c384458c0844c66d80f49af763e728ca59658964ebefcf0433197a72be0a896ce6007b183b761c49200a7b6bba3b84bc13390336ca2875e04f7f4
DIST foreign-types-0.3.2.crate 7504 BLAKE2B 520818b702d990d296ecd31a8646850202509ccfa18edd0e1b260289619a6c351e758f317ec0824bd76eccb209b6f087057c25f1bd01a47897715013dd834867 SHA512 bf27b8243ed482c202d120383374f19ff09422535e24b9c1aebccc66529bf300ca17b8bbc76d67f98ac092e614497afe3add9dc68aa69c93074df05762f91232
DIST foreign-types-shared-0.1.1.crate 5672 BLAKE2B d2e42e04b6657e7a69fe0bd20c672176629c743e49a55fd007bb30e289710b70045d445ae9cae0eeaa747ee708c90e8abd9b5fc39bad8ec0666befe1b696d4f1 SHA512 bafdb2143e136fb0818e2ffd90b5c862b7181647d6568947d4e4531012bbf7a57b597221ec7056c1b562dfc0c3b5dead26d1a4111ebc15e7863737a873518a4a
DIST heck-0.4.1.crate 11567 BLAKE2B 520aeea740cfa30b0cca12f73594ffa655f32959673b1c9caaca1ea0162e455546ae3033881394c0ba0516bcd5c9a997da02162e1585522d665813b9096eabd9 SHA512 8c80e959d2f10a2893f9a71994720f90747742bb5b61fc0a539eed3ea5679b140c48fd7f7690d7122cd6af5f7f20a19d412e3569fe741c6d31f6b2ce1e0b80e8
@@ -103,4 +105,5 @@ EBUILD cryptography-41.0.7.ebuild 3438 BLAKE2B 04d8d95f298a095b2ba64cdeff549d598
EBUILD cryptography-42.0.0.ebuild 3331 BLAKE2B e7a7fad0a3990e3adfe9bb37be8fce9d64bbe9f0ef37c6d86e39b117a1c8d68a7cf40ff524393f68294ba2f0124d9bef436cd722c34ea04ee7a4539f52abe5ee SHA512 48a003d248b6752d95239f86ee90101ba31024323a27645174858986fc88a5a7cf7f45158f29e582bdbcc0a5b2e1f15c4d6b84c42643586fdf50bd906b87c9f4
EBUILD cryptography-42.0.1.ebuild 3331 BLAKE2B e7a7fad0a3990e3adfe9bb37be8fce9d64bbe9f0ef37c6d86e39b117a1c8d68a7cf40ff524393f68294ba2f0124d9bef436cd722c34ea04ee7a4539f52abe5ee SHA512 48a003d248b6752d95239f86ee90101ba31024323a27645174858986fc88a5a7cf7f45158f29e582bdbcc0a5b2e1f15c4d6b84c42643586fdf50bd906b87c9f4
EBUILD cryptography-42.0.2.ebuild 3331 BLAKE2B e7a7fad0a3990e3adfe9bb37be8fce9d64bbe9f0ef37c6d86e39b117a1c8d68a7cf40ff524393f68294ba2f0124d9bef436cd722c34ea04ee7a4539f52abe5ee SHA512 48a003d248b6752d95239f86ee90101ba31024323a27645174858986fc88a5a7cf7f45158f29e582bdbcc0a5b2e1f15c4d6b84c42643586fdf50bd906b87c9f4
+EBUILD cryptography-42.0.3.ebuild 3331 BLAKE2B e7a7fad0a3990e3adfe9bb37be8fce9d64bbe9f0ef37c6d86e39b117a1c8d68a7cf40ff524393f68294ba2f0124d9bef436cd722c34ea04ee7a4539f52abe5ee SHA512 48a003d248b6752d95239f86ee90101ba31024323a27645174858986fc88a5a7cf7f45158f29e582bdbcc0a5b2e1f15c4d6b84c42643586fdf50bd906b87c9f4
MISC metadata.xml 464 BLAKE2B 96c0bd97b83c9718910d129260402fdc37e88a96ac6002c8f6dd19fb21d6daf31211b83ff7423036811e27954811ebdc810c8328f18c620682bd9428f42ba1f9 SHA512 2f36a186bb195a8cbafe1d8dd6630fadf0ea56b22906ebaf3c90954adb8b66e1017f599169e2b1ca386e1113c1a6b834fff90f2bec527bed53f62985120732d6
diff --git a/dev-python/cryptography/cryptography-42.0.3.ebuild b/dev-python/cryptography/cryptography-42.0.3.ebuild
new file mode 100644
index 000000000000..de93827364b9
--- /dev/null
+++ b/dev-python/cryptography/cryptography-42.0.3.ebuild
@@ -0,0 +1,146 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CARGO_OPTIONAL=yes
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+CRATES="
+ asn1@0.15.5
+ asn1_derive@0.15.5
+ autocfg@1.1.0
+ base64@0.21.7
+ bitflags@1.3.2
+ bitflags@2.4.2
+ cc@1.0.83
+ cfg-if@1.0.0
+ foreign-types-shared@0.1.1
+ foreign-types@0.3.2
+ heck@0.4.1
+ indoc@2.0.4
+ libc@0.2.152
+ lock_api@0.4.11
+ memoffset@0.9.0
+ once_cell@1.19.0
+ openssl-macros@0.1.1
+ openssl-sys@0.9.99
+ openssl@0.10.63
+ parking_lot@0.12.1
+ parking_lot_core@0.9.9
+ pem@3.0.3
+ pkg-config@0.3.29
+ proc-macro2@1.0.78
+ pyo3-build-config@0.20.2
+ pyo3-ffi@0.20.2
+ pyo3-macros-backend@0.20.2
+ pyo3-macros@0.20.2
+ pyo3@0.20.2
+ quote@1.0.35
+ redox_syscall@0.4.1
+ scopeguard@1.2.0
+ self_cell@1.0.3
+ smallvec@1.13.1
+ syn@2.0.48
+ target-lexicon@0.12.13
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ vcpkg@0.2.15
+ windows-targets@0.48.5
+ windows_aarch64_gnullvm@0.48.5
+ windows_aarch64_msvc@0.48.5
+ windows_i686_gnu@0.48.5
+ windows_i686_msvc@0.48.5
+ windows_x86_64_gnu@0.48.5
+ windows_x86_64_gnullvm@0.48.5
+ windows_x86_64_msvc@0.48.5
+"
+
+inherit cargo distutils-r1 flag-o-matic multiprocessing pypi
+
+VEC_P=cryptography_vectors-$(ver_cut 1-3)
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="
+ https://github.com/pyca/cryptography/
+ https://pypi.org/project/cryptography/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+ test? (
+ $(pypi_sdist_url cryptography_vectors "$(ver_cut 1-3)")
+ )
+"
+
+LICENSE="|| ( Apache-2.0 BSD ) PSF-2"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD MIT Unicode-DFS-2016
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-libs/openssl-1.0.2o-r6:0=
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.8:=[${PYTHON_USEDEP}]
+ ' 'python*')
+"
+DEPEND="
+ ${RDEPEND}
+"
+# XXX: Drop explicit >=virtual/rust-1.56.0 dep once that's the minimum in cargo.eclass
+# and replace it with ${RUST_DEPEND}
+BDEPEND="
+ >=dev-python/setuptools-rust-1.7.0[${PYTHON_USEDEP}]
+ >=virtual/rust-1.56.0
+ test? (
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-1.11.4[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+ dev-python/pytest-subtests[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+# Files built without CFLAGS/LDFLAGS, acceptable for rust
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/cryptography/hazmat/bindings/_rust.*.so"
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ default
+
+ sed -i -e 's:--benchmark-disable::' pyproject.toml || die
+
+ # work around availability macros not supported in GCC (yet)
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ local darwinok=0
+ if [[ ${CHOST##*-darwin} -ge 16 ]] ; then
+ darwinok=1
+ fi
+ sed -i -e 's/__builtin_available(macOS 10\.12, \*)/'"${darwinok}"'/' \
+ src/_cffi_src/openssl/src/osrandom_engine.c || die
+ fi
+}
+
+python_configure_all() {
+ filter-lto # bug #903908
+}
+
+python_test() {
+ local -x PYTHONPATH="${PYTHONPATH}:${WORKDIR}/cryptography_vectors-${PV}"
+ local EPYTEST_IGNORE=(
+ tests/bench
+ )
+ epytest -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
index 7d9438f62418..adaa3c750c7e 100644
--- a/dev-python/fakeredis/Manifest
+++ b/dev-python/fakeredis/Manifest
@@ -1,3 +1,5 @@
DIST fakeredis-2.21.0.tar.gz 128492 BLAKE2B a7352e1518a23512c8410ab199effffcea5beb28b93162d71ea95551a9267441c5487e676372951c950401dcb4003f066e80a03521ab2176059409c487a60a2e SHA512 5ef46fcd16e5347cb6a4ef1f99140385ed0d1809ab584df952e3050e4f115b34b37387efb7d01521d433a32262e0729eef266a98b1d1ff46250b4545052e0a9e
+DIST fakeredis-2.21.1.tar.gz 128540 BLAKE2B 042c7189f4437149f099eb2bed9dc93cfaea3eb582dd40aaad55bca6c6c4f679a108b3e36006e537be469a3879085f75e0f5c0c7272d2131c431a4483e15cefc SHA512 ba51079896ca345805a0b2474922a41b7c1526123ac3ff0904d3448512b75515b6b11d7e8ec8fe7abdde94a9ac281aaf56d7344809c18c28ad081af4a542a57b
EBUILD fakeredis-2.21.0.ebuild 2172 BLAKE2B 45b0a87b4c0850b3dc631811e84bd9dee72756dd0dda2bdec16a2d72bd3af19483eb2bc912fd4df4694b2b36a846059e41e2d56594f1c9b336c158c7acf1e15d SHA512 f1d65bb12eee3da97b624525fb54b73186f423f3c9d361d934b2dc3e4fb7d41778e602672485188f9092bdff9aff31cec1b8d7ddbd142f194b1553f359f344a4
+EBUILD fakeredis-2.21.1.ebuild 2175 BLAKE2B 98d3b5b8f93bc6954191bb08e63bf3397cf9ad0da9c1a6ed2dc8ad4421c2f00f0dc56817d9a330dc18ac7e6e6f80993451d517d6ffd4b4d6f38eeb8d1093e630 SHA512 47d6943da124b127f9087309fd788f6fc080cdfdf23eb76de96bee5f7a9dfdc7a4f6f275d0aa0f4fde6cb0690842d0f16e1d258a5a477602e8928a50a89c951b
MISC metadata.xml 373 BLAKE2B 1de33db59658e6190cd0346be58208cae6c9143a52f49dc289e68aaa0d860b5bd68dfb54f2e0b005f60a67f5caa430e2ce94fc69e64bd27e1bbebb07ad29e602 SHA512 24bfcf4919363fef45c182b6de66221e580ee0e9e99ce46e91b767655dc0b6f8a9fa6c3512ba84d1040698c43a0b6a853ad8d63c1ee5fbc00a1d192defb24db5
diff --git a/dev-python/fakeredis/fakeredis-2.21.1.ebuild b/dev-python/fakeredis/fakeredis-2.21.1.ebuild
new file mode 100644
index 000000000000..916767f1330c
--- /dev/null
+++ b/dev-python/fakeredis/fakeredis-2.21.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fake implementation of redis API for testing purposes"
+HOMEPAGE="
+ https://github.com/cunla/fakeredis-py/
+ https://pypi.org/project/fakeredis/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/redis-4.2[${PYTHON_USEDEP}]
+ <dev-python/sortedcontainers-3[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also lupa
+ test/test_aioredis2.py::test_failed_script_error
+ # TODO
+ "test/test_fakeredis.py::test_set_get_nx[StrictRedis]"
+ "test/test_fakeredis.py::test_lpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_rpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_zadd_minus_zero[StrictRedis]"
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_channels[StrictRedis]"
+ test/test_mixins/test_set_commands.py::test_smismember_wrong_type
+ # new redis-server?
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_shardnumsub[StrictRedis]"
+ # json ext
+ test/test_json/test_json.py
+ test/test_json/test_json_arr_commands.py
+ )
+ local EPYTEST_IGNORE=(
+ # these tests fail a lot...
+ test/test_hypothesis.py
+ )
+ local args=(
+ # tests requiring lupa (lua support)
+ -k 'not test_eval and not test_lua and not test_script'
+ )
+ # Note: this package is not xdist-friendly
+ epytest "${args[@]}"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index f82d7e704466..916bfd4c77e1 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -1,5 +1,7 @@
DIST fonttools-4.47.2.gh.tar.gz 3813471 BLAKE2B 7c478395e1c0cad52a29bc504bac235c4e198284a7f1f4b32e9db0704d3eeb56ea69d563a862239396fd1e67f47f168ae2f42676fe5ba3f9e1c356de8c5039f2 SHA512 03b6411c72ce38eeaa6401440d9612a37cd2ff6a686d7c6dbe7328a876f9e4369c06edea184ea72c1002b26b956d0196c241e40fe28b0ccf42f616ce9a700a07
DIST fonttools-4.48.1.gh.tar.gz 3815962 BLAKE2B 86f93ddfbff0d3e5e165adc73908176ec3eee1d35d7009faa9827bc992d6bb5a11b95823596ae40ea739b117af7933fea0b768cf3a44d4cb770daa7db42048c9 SHA512 1f8336880575038f904873f6359b9c0a5885f14358c5560592b274db7aa2b96433770f5195e93ac04552f2580aadf0efc9268dcce9f0d178b78e75f5507dad67
+DIST fonttools-4.49.0.gh.tar.gz 3818768 BLAKE2B add7c03762e6c09950f2abfb8b19e627f7ce367b73c48b02059ab308ee7f8475e94c575719a168166497261cb4762ec4959c7812ab5fc122477a7751a8fabdb9 SHA512 6caa108b92a9661f6761a4e1c65f05cabf0d4f6a6f2517d2a289afc5e60ad73c7e35ee283d1a206b1bcd2ec5861f70272e323b9041aa949c713dc531d2d056d2
EBUILD fonttools-4.47.2.ebuild 2464 BLAKE2B 29ca95c136616778810dafcebe6fc0b39b81bae3f858129cdc49e4710355d725b4a50616c4ab6ff237c5cc54b4abe244a3ac1383382a1a91c6c8296a42566ad9 SHA512 c305e19e347b2caa371b313f5569caaabe63b453c5a41cfcc98f437784e19622b50a947c1be1e96664a9a9ff2668c58fee63915beec5d16bc59b53caa2dbea3e
EBUILD fonttools-4.48.1.ebuild 2472 BLAKE2B c83e1dd9f98c2e7bc4e487c74d0cf1e5764dcaf41f447ac6b1f6b5b587bb8816a7ae0cb286248b09eec08ddac9369810210714c69813d4f836e4f175e86c5b65 SHA512 87a73844eb5f3e40fbc4f97d825b637e2916640cc7c526bff033f7b95b4a22826d287c0e2d3f3edd72f5a2cba4cf63220fc868fc651907349b35e7e63d473007
+EBUILD fonttools-4.49.0.ebuild 2472 BLAKE2B c83e1dd9f98c2e7bc4e487c74d0cf1e5764dcaf41f447ac6b1f6b5b587bb8816a7ae0cb286248b09eec08ddac9369810210714c69813d4f836e4f175e86c5b65 SHA512 87a73844eb5f3e40fbc4f97d825b637e2916640cc7c526bff033f7b95b4a22826d287c0e2d3f3edd72f5a2cba4cf63220fc868fc651907349b35e7e63d473007
MISC metadata.xml 372 BLAKE2B 950ec78bf127250847c6513c22a5108b251afdb000d361068edf9d00d64a5baf6925ba4058bb889724febb28d92abc044c29af5936a48d8e8951b12314b64357 SHA512 03e76e28959bab83fe41c3ee4b55692ced9b1360e73e38a6e8f6e5c06fd1185dcbe0214aea2edff18d248abf252c1877d0d2c2b78b8e088e606c09c34e93e7ac
diff --git a/dev-python/fonttools/fonttools-4.49.0.ebuild b/dev-python/fonttools/fonttools-4.49.0.ebuild
new file mode 100644
index 000000000000..12d8605257bc
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.49.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="
+ https://github.com/fonttools/fonttools/
+ https://pypi.org/project/fonttools/
+"
+SRC_URI="
+ https://github.com/fonttools/fonttools/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="+native-extensions"
+
+RDEPEND="
+ >=dev-python/fs-2.4.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '
+ dev-python/cython[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+ test? (
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ local -x FONTTOOLS_WITH_CYTHON=$(usex native-extensions)
+ [[ ${EPYTHON} == pypy3 ]] && FONTTOOLS_WITH_CYTHON=0
+ distutils-r1_python_compile
+}
+
+src_test() {
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # flaky test
+ Tests/ttLib/woff2_test.py::WOFF2ReaderTest::test_get_normal_tables
+ )
+
+ if [[ ${EPYTHON} == pypy3 ]] &&
+ has_version "dev-python/pyxattr[${PYTHON_USEDEP}]" &&
+ {
+ has_version "<dev-python/pypy3_10-exe-7.3.13_p2" ||
+ has_version "<dev-python/pypy3_10-exe-bin-7.3.13_p2"
+ }
+ then
+ EPYTEST_DESELECT+=(
+ # affected by a bug in PyPy/pyxattr
+ # https://github.com/iustin/pyxattr/issues/41
+ Tests/t1Lib/t1Lib_test.py::ReadWriteTest::test_read_with_path
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest \
+ -p rerunfailures --reruns=5 \
+ Tests fontTools || die -n "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 3d4c9fee5e90..552f46b35d44 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,3 +1,5 @@
DIST google-auth-2.27.0.tar.gz 239688 BLAKE2B 3fa3c3c3da41b6337140e0ae474ab5b3a2da5aad3d18be64959c90339e03279594af97033faf406c0e76a923686b89a8f55ce5f7dff3bf3ad4510aca85189240 SHA512 a352cfced15d3e312410d382170909024d00cc27c34c3ec166af36aacf37ea9ac76b5c8bafc6e1379e2ddf3e422c27ce996474338d4efd17c21c9e79f3756994
+DIST google-auth-2.28.0.tar.gz 240460 BLAKE2B f7275d8ff1eb80871914a27a4cdcb7143d3d5de9d6217b74b2acfb64a95e7953dc076cd0d3796f81be62b174ea574a0ff7f557cc2372e475c08f095c8f299833 SHA512 b9c31ab425dc2e934443123cc5666e69ca7736e029f68b12b1a297c8818e28806671dd4ea01344213565718474182e4f2e1639f49ac408fb7913e8af4399daae
EBUILD google-auth-2.27.0.ebuild 1439 BLAKE2B 7f1d474e335a4a6ec0a86d6f47d69accd6ae97bb5ff53f1d1c4e8d78c79ffcbaf3f1a633a279936276ecf707cc2455f494a68a599c3299f06e73090e08d3b4c3 SHA512 cedc905deb31d47c3581d26b8b7765145452a281c0ca0ba79966b47d1f20779ab41e6c321b3ced80b7d805bd3d9ab47cdf041e3d0c727b69c88059b584e6b54a
+EBUILD google-auth-2.28.0.ebuild 1442 BLAKE2B ecbc9be9f3ad790c4f3b52d359cd4e3727fb67c5b179a6a3da566077ad811ac6e7cf459af03fcfd088e8c61ba035780fb3f0f59f79be33f2699ad044a821af10 SHA512 dd25537915a25048d6baa439a9c983c432c334a7cc395eda312d2517c71f83750964cd4d1978886d270e3f6e38f020f75875ecfd86e9bd102a265e9c729bf812
MISC metadata.xml 521 BLAKE2B 784282f6a173e7746a408556d77e1277f65a41eae545b6b26054c1e506642e683c1c7d91798f3b7b690bc4f9d2f642a51c1395593177eebf1770d2a0c0ba589e SHA512 c2624ebca3dc42961e61531db4724b2b354a722f71cd7f2c194680fee50125d2251f4b94cc7e31b008a2792e74b0f55f407a1230d3f59572df9cf32ee49d2fb7
diff --git a/dev-python/google-auth/google-auth-2.28.0.ebuild b/dev-python/google-auth/google-auth-2.28.0.ebuild
new file mode 100644
index 000000000000..e044a6c75ff3
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.28.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index ac8ce41793fc..9e575c01e539 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,7 +1,9 @@
DIST pikepdf-8.11.2.tar.gz 2870263 BLAKE2B 6cf3666baca5d20b125efc3f6d8cfe7f96b9334b8a39da67fe3f4185f41232d8a18bf902f21bfe33e4259b7fb61e7dc462a247c76bf4564a3bdf0ea987119d91 SHA512 57bf5d16aaf9367eef9407f7f406a5ee74f2060d276ab861379c74c2193d02b2e3cca0925ee29813791bb36fae8dbbba4a9b16a7f4c2d19c67c21bbe7bb3f80f
DIST pikepdf-8.12.0.tar.gz 2870386 BLAKE2B f27c034ef94b63e56efa84abef987b23801ddb0c19c078715ffdf15596fb60b54a1159b3f43f6252418b51f967e9049912ba6950506811a41c766320148201e2 SHA512 9c6d269a7a8f806f22cc3df9f0147fc3c3a534b191e9db4f90c56a6ce9c695f7e9a20c44265551b0d2ca2a189d15c52dd602614baa44939d7ae943e698dec400
+DIST pikepdf-8.13.0.tar.gz 2870366 BLAKE2B 4e08cd992ef6dc18d64d3b62ca85a138474c2d77548a14522172b80d842b9ad969d701e30376a394aa60baa5b17bba7e48eb11c071e130f43e387659e8e862e6 SHA512 6ab231510ced72a6697cf7ea50d7b73d6ef33d4305fe70904164319f2c6964fdd645f8011a049d763a50809772ccb65a9833feca3e65e59b5c37c84bb90dbc79
DIST pikepdf-8.4.1.tar.gz 2853305 BLAKE2B 2298514159db17ba49b8e2fa2407d60de50273bea111ece704251d99193bdc4c8ed77f624237a49c3f4f129e3b14ac4ddd1006cf3024bcbf822bc5523e0fee35 SHA512 6989e8a3888f612e453ec1ea8425c0ca35ccfee19ae5e8c32df136ebc3fbb7728d9fe5beaacb4e392a20c9037a1009fc8f8d53d73634427fb0df9103626e34fa
EBUILD pikepdf-8.11.2.ebuild 1784 BLAKE2B 1920b60b3e6ebc30d66d5aaf075ef17c289100352de96baa8f6cc1fd75902bc93c5e8acef248f14709f6a6aefafb013a07bac31ddb5105e3405462d4a4cbe518 SHA512 ebf383c9294149b862d054e8176e27265d45b479ed3271cbbe45c32bc2f83157cc35e5ddcf45b67420420557444de95637ef820eef30da9b85e103f8386b5b57
EBUILD pikepdf-8.12.0.ebuild 1791 BLAKE2B f8a8de60de99bd6ac6e50fef0cb6cf46ff18f7ed4d3d4b8562cef85b8a1f7ff2fc605c43cebd2f983017b36ffc92790d75fd00afc0d09ecf238c6b021a1fd615 SHA512 5e488073997321d41f4ab2a67d31f58bf9f8bdbf8ba18d972e8990eab524b1a0839215252dd05dbea52d36df5c09000c7f60db667b55f7ec662e538044512073
+EBUILD pikepdf-8.13.0.ebuild 1791 BLAKE2B f8a8de60de99bd6ac6e50fef0cb6cf46ff18f7ed4d3d4b8562cef85b8a1f7ff2fc605c43cebd2f983017b36ffc92790d75fd00afc0d09ecf238c6b021a1fd615 SHA512 5e488073997321d41f4ab2a67d31f58bf9f8bdbf8ba18d972e8990eab524b1a0839215252dd05dbea52d36df5c09000c7f60db667b55f7ec662e538044512073
EBUILD pikepdf-8.4.1.ebuild 1680 BLAKE2B 2d988c8345fe6642e1bf990dd385259ac9b8709e8e22b6b1dc74f3e7ecf88193fb9c06cc3085b82aefb811a5cf18f676dd23c2d75c27a4071903a291bf272f5a SHA512 05b25f5fafcb3999eee5c8f1c5f44e6b1c7dfd0397fdcf7e4f2a5c812a950cf00a87a502a4244cf01e775ee5b7360cffbf2dbcba64d5b203216be008400e4683
MISC metadata.xml 687 BLAKE2B 07c94d9dac5323202f955fd9c1e5a6fc78518a0a6f703c54c73b70e774900c41a4823beb3f8be7068d83878d1e60df0d7e30efd53bbc1ba31019477de82b092f SHA512 1be3ec00342e8079363db0c57f75ae88bd05e873869fbbb27442e9fe98eb6917c55b4eaf03ed22c4c44ca3aec9b84839cbc254202460a3266bbc42ff8f0f84b3
diff --git a/dev-python/pikepdf/pikepdf-8.13.0.ebuild b/dev-python/pikepdf/pikepdf-8.13.0.ebuild
new file mode 100644
index 000000000000..f5173f73b2c1
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-8.13.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="
+ https://github.com/pikepdf/pikepdf/
+ https://pypi.org/project/pikepdf/
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Check QPDF_MIN_VERSION in pyproject.toml on bumps, as well as
+# https://qpdf.readthedocs.io/en/stable/release-notes.html.
+DEPEND="
+ >=app-text/qpdf-11.5.0:0=
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/deprecated[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pillow-10.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pybind11-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-scm-7.0.5[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.36[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5.9[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+ media-libs/tiff[zlib]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # fragile to system load
+ tests/test_image_access.py::test_random_image
+)
+
+src_prepare() {
+ sed -e '/-n auto/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p timeout
+}
diff --git a/dev-python/pipdeptree/Manifest b/dev-python/pipdeptree/Manifest
index e9e82a75d84f..25d474835ba1 100644
--- a/dev-python/pipdeptree/Manifest
+++ b/dev-python/pipdeptree/Manifest
@@ -2,6 +2,8 @@ AUX pipdeptree-2.13.1-expect-hpy-in-pypy-7.3.3.patch 1018 BLAKE2B 18405bf1f1ba5a
AUX pipdeptree-2.13.2-fix-pypy-7.3.14.patch 1353 BLAKE2B 5e3a6f53244de1ae185818e3e2a37a87229b46b02c390a606b65668ae1dc53fe1a6b5e6c9faaf6160f25adc7e2597cceb5fd89bb20414a609880e034c7bdc026 SHA512 e0e8e729d713d347c96ee7db5e6a14ba7a9a986aa41231731973b4ab31f8d866cd4d229b35b54411e171a446d61201675ab3df01a58079786eabf5a080de05ad
DIST pipdeptree-2.13.1.tar.gz 33139 BLAKE2B e7044303f09ad3952e14f79ec11e01a54e9c34ff5b4430094a968602c8a97388eadd4e021c97c97c1767d7ae02b7070ff6e4ec934aef6036b98bf2553d2344a0 SHA512 18c73a8ef458b0a241d967da40453fb8a9fc6550cbd2c21eecca9a81f011b896622fb45a81b79e30eb990454b6f518a1fcc02cb25bb2c5ca988b44e040264e26
DIST pipdeptree-2.13.2.tar.gz 33290 BLAKE2B 1b97dbfaa6f6baff272e6e6d5399f95b96e13b19bba5ef3997574d027002abd98152e26d67b4b19555392d076c84bf6b142d147d95349ba1dd535bea40994b4f SHA512 ce6cfc29827c087725366a95079621516303cf50c6c4ee4a0cd5d8b7649e8dd7b7145b62523c48731a2b5f4140c90c558eb5d1a0248b28a8c4c97ccb78d9e16d
+DIST pipdeptree-2.14.0.tar.gz 34392 BLAKE2B b10dde231fae896b114b9e9b71eb6925493d3814381a6497f0a9011ca7cea415b68db8913f6cae7d0b6da0f3c3801e96671238097b25f0bef6bfcb5c65e2ec80 SHA512 ff6be5782abe4d4ee0eeaee7c668736ad4a07237a9ecd1f0c1e42484668737f0e8a4a586e08b606849ccf358914dbaebe4907f67eba70b348c7a89791570eb11
EBUILD pipdeptree-2.13.1.ebuild 946 BLAKE2B d94327ac52ab9d2d4b9f48c0ed39ae72444b123638eed543ba9d13af8d6eb04fa7ace0f5225d14d84de9da1b9185a3b4fb4440549970361989c4c050501f9629 SHA512 d66ffc621fc4fee975c7d2829350bc99c295d285f17b1bb5197c56d83b755ccf0d42ca6328b5e0808ece7e2372a9635734b2797d1b216861356e6df4425f4186
EBUILD pipdeptree-2.13.2.ebuild 1001 BLAKE2B 353933b6854bcd9f62299cc3932e5256028cacf9dc5a62c6cbfb546524b4553c8c860c3f43fc9f819dbc89c0ed0a82d63762b6624d8388aace92fd79563e6ff2 SHA512 0c497bfee60c2ae4aa8d11d347190d180630e2753c20f8d8f93546de184fa165738dd7fb52554ca09d0d7a9c70bca060529ef943cf91f07483827749d335ca88
+EBUILD pipdeptree-2.14.0.ebuild 1001 BLAKE2B 353933b6854bcd9f62299cc3932e5256028cacf9dc5a62c6cbfb546524b4553c8c860c3f43fc9f819dbc89c0ed0a82d63762b6624d8388aace92fd79563e6ff2 SHA512 0c497bfee60c2ae4aa8d11d347190d180630e2753c20f8d8f93546de184fa165738dd7fb52554ca09d0d7a9c70bca060529ef943cf91f07483827749d335ca88
MISC metadata.xml 545 BLAKE2B cf435473fd95ac0a5bafe2b52ddd78e09c16eb190e3a979924525607fc7ab152e249419e3a21d246cd1354a714116c6c0953ed55d1efceafae441ee282c2b1eb SHA512 ad2e8d4e7bac53b26ea0bb5c2f65e0c9dc8d30afc8c569d73bac820b2dda6a343b96e52abd0353e3f50269fb431e46bd3b51b3768d9c24f658fd2eca6cc1ce97
diff --git a/dev-python/pipdeptree/pipdeptree-2.14.0.ebuild b/dev-python/pipdeptree/pipdeptree-2.14.0.ebuild
new file mode 100644
index 000000000000..88a5c229f6a9
--- /dev/null
+++ b/dev-python/pipdeptree/pipdeptree-2.14.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi optfeature
+
+DESCRIPTION="Utility for displaying installed packages in a dependency tree"
+HOMEPAGE="
+ https://github.com/tox-dev/pipdeptree/
+ https://pypi.org/project/pipdeptree/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/graphviz[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ # https://github.com/tox-dev/pipdeptree/pull/302
+ "${FILESDIR}/pipdeptree-2.13.1-expect-hpy-in-pypy-7.3.3.patch"
+ "${FILESDIR}/pipdeptree-2.13.2-fix-pypy-7.3.14.patch"
+)
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature \
+ "visualising the dependency graph with --graph-output" \
+ dev-python/graphviz
+}
diff --git a/dev-python/plotly/Manifest b/dev-python/plotly/Manifest
index 99b4dea6e88f..0b784fb12ec4 100644
--- a/dev-python/plotly/Manifest
+++ b/dev-python/plotly/Manifest
@@ -1,4 +1,6 @@
AUX plotly-5.8.0-fix-versioneer-import.patch 541 BLAKE2B 51ff6cbab8d9124243445f758aa4b976b7c26e1d3ce633e943bff133b81c0a7587feeb9d5e98a63f319c6afed8dc06e06fafe765ffd51fec245215c849fb4955 SHA512 db4743e538dddfe66e4c9c766698844af4d09c68188afefe92b6419adfe7cc0b1e9c1266d702d590b0b8dfc14bffbc8f08262ead0bff4dae3b5c71fa1259a4b9
DIST plotly.py-5.18.0.gh.tar.gz 30876168 BLAKE2B f740a89c2040376348148bbd8a55c29d57e2454f804503eddf45e9781dddd258400646caa51c8d9a4e74d6d848e0d1332d53ed5635d491dffe5bf2bb4b78701e SHA512 56ae84487b61c1b90bf2d31e67116b8c2c9b23e40bda51d434c336750b32d659a5009e8057d40f9af6ede0d2a6bd4cc0bc5f9923d2ce74a439810e7c7714bd50
+DIST plotly.py-5.19.0.gh.tar.gz 30892237 BLAKE2B ef93c54bdc40a5f25448a7e68dc40b3642c8be60945edc39e3e590eb97973896cb0df54cd8ea9928a2553d50de1bf17997b41947711baaedce075e31709581ce SHA512 a97f5d130fd56b49087e7b10c34cfe2aa21f00afd1f252215f7cec2215d9031f5f6204a6445ea7a69d7aed0c6838b3d76f981c076af93fa9406ff37a0020e4e7
EBUILD plotly-5.18.0.ebuild 3393 BLAKE2B 47d0ec7ba8356091458c03667d30edf840929e5c6f63257d45bc6815ca1a3ce8d103c7fefc1c0ef15c40ec17ae530991c35d4a9ceb1cd56ccb663044ff72f415 SHA512 d14786c48db38e160235e99b8a0e9184d5eccd284113b7d9e8b2c8af73dd391e6e488a5e3bed08316163d1448836bec93b841ccd8c95ee3874a911dcb61f3007
+EBUILD plotly-5.19.0.ebuild 3393 BLAKE2B 47d0ec7ba8356091458c03667d30edf840929e5c6f63257d45bc6815ca1a3ce8d103c7fefc1c0ef15c40ec17ae530991c35d4a9ceb1cd56ccb663044ff72f415 SHA512 d14786c48db38e160235e99b8a0e9184d5eccd284113b7d9e8b2c8af73dd391e6e488a5e3bed08316163d1448836bec93b841ccd8c95ee3874a911dcb61f3007
MISC metadata.xml 627 BLAKE2B 453adb04f4caba9790fe5223635245c8bca7ca5c6dc1930f09537045580b88b5fa1649e47158b13be6cc5cb09b4479a47690e37ef13208b47a95f82d14793a91 SHA512 a5183e9d217d1312e8d383ccb4ade66b92575492b6c8ed8987e3af18e9e456836b62b2d572ce62f9e01aae47b4a2bcbd12f79b4bb6acabfe69c2b63b20315bd3
diff --git a/dev-python/plotly/plotly-5.19.0.ebuild b/dev-python/plotly/plotly-5.19.0.ebuild
new file mode 100644
index 000000000000..ded586e2d189
--- /dev/null
+++ b/dev-python/plotly/plotly-5.19.0.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+MY_P=plotly.py-${PV}
+DESCRIPTION="Browser-based graphing library for Python"
+HOMEPAGE="
+ https://plotly.com/python/
+ https://github.com/plotly/plotly.py/
+ https://pypi.org/project/plotly/
+"
+SRC_URI="
+ https://github.com/plotly/plotly.py/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/packages/python/plotly"
+# The tests are not included in the PyPI tarball, to use the GitHub tarball
+# we have to skip npm, which means that the resulting install will
+# unfortunately lack the jupyterlab extension.
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/tenacity-6.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/jupyter[${PYTHON_USEDEP}]
+ dev-python/jupyterlab[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/shapely[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ dev-python/scikit-image[${PYTHON_USEDEP}]
+ )
+"
+
+# README ends up a broken symlink
+DOCS=()
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.8.0-fix-versioneer-import.patch
+)
+
+EPYTEST_IGNORE=(
+ # Needs porting to newer numpy
+ _plotly_utils/tests/validators/test_integer_validator.py
+
+ # kaleido not packaged
+ plotly/tests/test_optional/test_kaleido
+
+ # plotly-orca not packaged
+ plotly/tests/test_orca
+)
+
+EPYTEST_DESELECT=(
+ # Also needs porting to newer numpy
+ plotly/tests/test_io/test_to_from_plotly_json.py::test_object_numpy_encoding
+
+ # kaleido not packaged
+ plotly/tests/test_orca/test_to_image.py::test_bytesio
+
+ # Fails if not already installed
+ test_init/test_dependencies_not_imported.py::test_dependencies_not_imported
+ test_init/test_lazy_imports.py::test_lazy_imports
+
+ # Minor matplotlib incompatibility
+ plotly/matplotlylib/mplexporter/tests/test_basic.py::test_path_collection
+ plotly/matplotlylib/mplexporter/tests/test_basic.py::test_legend_dots
+ plotly/matplotlylib/mplexporter/tests/test_utils.py::test_linestyle
+
+ # In python 3.11 the produced error is slightly different
+ plotly/tests/test_core/test_errors/test_dict_path_errors.py::test_described_subscript_error_on_type_error
+
+ # TODO
+ plotly/tests/test_io/test_to_from_plotly_json.py
+
+ # two subtests that require 'vaex' and 'polars' respectively
+ plotly/tests/test_optional/test_px/test_px_input.py::test_build_df_from_vaex_and_polars
+ plotly/tests/test_optional/test_px/test_px_input.py::test_build_df_with_hover_data_from_vaex_and_polars
+)
+
+# There are sphinx docs but we are missing a bunch of dependencies.
+# distutils_enable_sphinx ../../../doc/apidoc
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Do not try to fetch stuff with npm
+ export SKIP_NPM=1
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ mv "${ED}"/{usr/etc,etc} || die
+}
diff --git a/dev-python/pyside6-tools/Manifest b/dev-python/pyside6-tools/Manifest
index dc001795b8db..1d1ac224c5dd 100644
--- a/dev-python/pyside6-tools/Manifest
+++ b/dev-python/pyside6-tools/Manifest
@@ -1,3 +1,5 @@
DIST pyside-setup-everywhere-src-6.6.1.tar.xz 13887704 BLAKE2B 14a75cb6d20dced9b1edf79b8bb40ce44ecb7642f45743e59bc2d55b3e6fa5a742a0a0e5712b8f8cd4d908cc0f5103ac823390db968f42d0782818242c6f77e5 SHA512 3516f3e4595f1ba4ebbc680c5a94f9f939e04c0a3257720ebdd7ed12307bb007d1c73824029f51ec71c41a335268f34834250a5e87b3c4356d9e0a6f1d6b1f71
+DIST pyside-setup-everywhere-src-6.6.2.tar.xz 13975896 BLAKE2B b4572e58613e5446692e8c4cef28156fd0126ecda0c6334652ce49c6c7ce4614dbf2400c693addaa38e9b6cca9e331b9fe84c83ddb26e7014b8603afe2c54ad6 SHA512 1d23d27a4cbe74434ec5d391172416d324b4c92181401444821b456b4e27dabbdb3dcaad685a22b62c09f750555a4e626bbb6406a2fbde1cf4ec5c8bbb64cda5
EBUILD pyside6-tools-6.6.1.ebuild 1769 BLAKE2B e39ab8e2f78185ddda6c105e46a5c83f202d3519650c0f60841f52c4fe0f25f5fab5520902bb65eeab821ad76cd6e44bf65dfff09973202c2ca257933f250cbe SHA512 c03557c98b267a1753956268e810b03116e6b7b017ccaef071a7925a679bbabfa35ec9f25c76dde647c3a14ff2303c276389bf64a40c2311a406b1a934681c34
+EBUILD pyside6-tools-6.6.2.ebuild 1769 BLAKE2B e39ab8e2f78185ddda6c105e46a5c83f202d3519650c0f60841f52c4fe0f25f5fab5520902bb65eeab821ad76cd6e44bf65dfff09973202c2ca257933f250cbe SHA512 c03557c98b267a1753956268e810b03116e6b7b017ccaef071a7925a679bbabfa35ec9f25c76dde647c3a14ff2303c276389bf64a40c2311a406b1a934681c34
MISC metadata.xml 402 BLAKE2B 28348df442d189eadb56e04dfda71c1d5a56868aae85611a7d77ecdc7651e34ce02563c8da1270aad55758e2dd4301de44434e0bbdb010ef484e240068602ede SHA512 a54866110e38c24d67d60286c64b63dc0b537c55eb201b84b9173b47710b6e8a840d9072ca46fbef969bf481e43e1d8824b20655d7fe6b300cfd5333c3f74a41
diff --git a/dev-python/pyside6-tools/pyside6-tools-6.6.2.ebuild b/dev-python/pyside6-tools/pyside6-tools-6.6.2.ebuild
new file mode 100644
index 000000000000..e7411d54de28
--- /dev/null
+++ b/dev-python/pyside6-tools/pyside6-tools-6.6.2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# TODO: Add PyPy once officially supported. See also:
+# https://bugreports.qt.io/browse/PYSIDE-535
+PYTHON_COMPAT=( python3_{10..12} )
+
+LLVM_COMPAT=( {15..17} )
+
+inherit cmake llvm-r1 python-r1
+
+MY_PN="pyside-setup-everywhere-src"
+
+DESCRIPTION="PySide development tools (pyside6-lupdate with support for Python)"
+HOMEPAGE="https://wiki.qt.io/PySide6"
+SRC_URI="https://download.qt.io/official_releases/QtForPython/pyside6/PySide6-${PV}-src/${MY_PN}-${PV}.tar.xz"
+S="${WORKDIR}/${MY_PN}-${PV}/sources/pyside-tools"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ ~dev-python/shiboken6-${PV}[${PYTHON_USEDEP},${LLVM_USEDEP}]
+ ~dev-python/pyside6-${PV}[quick,${PYTHON_USEDEP},${LLVM_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ $(llvm_gen_dep '
+ sys-devel/clang:${LLVM_SLOT}
+ sys-devel/llvm:${LLVM_SLOT}
+ ')
+"
+
+src_prepare() {
+ cmake_src_prepare
+
+ python_copy_sources
+}
+
+src_configure() {
+ pyside-tools_configure() {
+ local mycmakeargs=(
+ # If this is enabled cmake just makes copies of /lib64/qt6/bin/*
+ -DNO_QT_TOOLS=yes
+ )
+ cmake_src_configure
+ }
+
+ python_foreach_impl pyside-tools_configure
+}
+
+src_compile() {
+ pyside-tools_compile() {
+ cmake_src_compile
+ }
+
+ python_foreach_impl pyside-tools_compile
+}
+
+src_install() {
+ pyside-tools_install() {
+ # This replicates the contents of the PySide6 pypi wheel
+ DESTDIR="${BUILD_DIR}" cmake_build install
+ cp __init__.py "${BUILD_DIR}/usr/bin" || die
+ rm -r "${BUILD_DIR}/usr/bin/qtpy2cpp_lib/tests" || die
+ python_moduleinto PySide6/scripts
+ python_domodule "${BUILD_DIR}/usr/bin/."
+ }
+
+ python_foreach_impl pyside-tools_install
+
+ einstalldocs
+}
diff --git a/dev-python/pyside6/Manifest b/dev-python/pyside6/Manifest
index b3611c3238db..de2512c1d75e 100644
--- a/dev-python/pyside6/Manifest
+++ b/dev-python/pyside6/Manifest
@@ -1,5 +1,7 @@
AUX pyside6-6.3.1-no-strip.patch 953 BLAKE2B f88bac603a584213a864fcfc7c528f1d236ebdbfb653c3877316cd0b95c30c2f7288b1c81c6a90a3e4228536da4aa63552991fefa952f450b0b852b3e2aed94a SHA512 2920075a26fc059bdebc8eb5fa7c15de74729b7f8d1eb59197f7426afa7a65f1f78a8ebb76e946b2dfaf5817dbf090744bafaed2f2156f2d1548c2932a7ce61a
AUX pyside6-6.6.0-no-qtexampleicons.patch 221 BLAKE2B d45b4ebcd780a0151b793b5b21f5d7599ee5c427372ef19f518ac1c94306938178b0bfb603d9755aae9bddc4c31c35bb4648617c793f8e399f0f8dcce0d1f3bb SHA512 1da97be74142402454ef5384c58d2b2a792fea53b4155d7b5ede6d145496b45e4fd56723f8f7716150c2bba448ce816c6740059d7d38ae53d5cdf7c38c4acd7b
DIST pyside-setup-everywhere-src-6.6.1.tar.xz 13887704 BLAKE2B 14a75cb6d20dced9b1edf79b8bb40ce44ecb7642f45743e59bc2d55b3e6fa5a742a0a0e5712b8f8cd4d908cc0f5103ac823390db968f42d0782818242c6f77e5 SHA512 3516f3e4595f1ba4ebbc680c5a94f9f939e04c0a3257720ebdd7ed12307bb007d1c73824029f51ec71c41a335268f34834250a5e87b3c4356d9e0a6f1d6b1f71
+DIST pyside-setup-everywhere-src-6.6.2.tar.xz 13975896 BLAKE2B b4572e58613e5446692e8c4cef28156fd0126ecda0c6334652ce49c6c7ce4614dbf2400c693addaa38e9b6cca9e331b9fe84c83ddb26e7014b8603afe2c54ad6 SHA512 1d23d27a4cbe74434ec5d391172416d324b4c92181401444821b456b4e27dabbdb3dcaad685a22b62c09f750555a4e626bbb6406a2fbde1cf4ec5c8bbb64cda5
EBUILD pyside6-6.6.1.ebuild 10162 BLAKE2B 89f7c7c7228eb6c988732ed8cfa0e5c3b3f8e44e9b632c207572a4b0db6fd8739d058cb8602299034a4840fe57ad53ac84db0411df159acd1229a8f2b92b345f SHA512 a722c3a98942271164005e0370f9922c2827ba182d3faf3a9a38523f20f9b62f2e711eb9b14922468c42d4a71bb56c5ff3239288f57c0745025e6fcf79707144
+EBUILD pyside6-6.6.2.ebuild 10162 BLAKE2B 89f7c7c7228eb6c988732ed8cfa0e5c3b3f8e44e9b632c207572a4b0db6fd8739d058cb8602299034a4840fe57ad53ac84db0411df159acd1229a8f2b92b345f SHA512 a722c3a98942271164005e0370f9922c2827ba182d3faf3a9a38523f20f9b62f2e711eb9b14922468c42d4a71bb56c5ff3239288f57c0745025e6fcf79707144
MISC metadata.xml 2370 BLAKE2B 4135d3d10c96b39c55d9609a096a62a638c2c2e4f15c8b097631baaec111e4c197584f66db8d6151b25404cf51de7b3254c3c853ce6ba0e5c832d4dcb59936f0 SHA512 3ef85f4d14c69cf9fbccd62056e806ac3afbc49ee4ab31652b51bed3582d492d631d2c1370fa59af6ed6a8c32cb337108f9f2bd5dd7feb4a7402a046b9bb0ceb
diff --git a/dev-python/pyside6/pyside6-6.6.2.ebuild b/dev-python/pyside6/pyside6-6.6.2.ebuild
new file mode 100644
index 000000000000..db1f8cb77f48
--- /dev/null
+++ b/dev-python/pyside6/pyside6-6.6.2.ebuild
@@ -0,0 +1,247 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# TODO: Add PyPy once officially supported. See also:
+# https://bugreports.qt.io/browse/PYSIDE-535
+PYTHON_COMPAT=( python3_{10..12} )
+
+LLVM_COMPAT=( {15..17} )
+
+inherit cmake llvm-r1 python-r1 virtualx
+
+# TODO: Add conditional support for "QtRemoteObjects" via a new "remoteobjects"
+# USE flag after an external "dev-qt/qtremoteobjects" package has been created.
+# TODO: Add conditional support for apidoc generation via a new "doc" USE flag.
+# Note that doing so requires the Qt source tree, sphinx, and graphviz. Once
+# ready, pass the ${QT_SRC_DIR} variable to cmake to enable this support.
+# TODO: Disable GLES support if the "gles2-only" USE flag is disabled. Note
+# that the "PySide6/QtGui/CMakeLists.txt" and
+# "PySide6/QtOpenGLFunctions/CMakeLists.txt" files test for GLES support by
+# testing whether the "Qt5::Gui" list property defined by
+# "/usr/lib64/cmake/Qt5Gui/Qt5GuiConfig.cmake" at "dev-qt/qtgui" installation
+# time contains the substring "opengles2". Since cmake does not permit
+# properties to be overridden from the command line, these files must instead
+# be conditionally patched to avoid these tests. An issue should be filed with
+# upstream requesting a CLI-settable variable to control this.
+
+MY_PN="pyside-setup-everywhere-src"
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://wiki.qt.io/PySide6"
+SRC_URI="https://download.qt.io/official_releases/QtForPython/pyside6/PySide6-${PV}-src/${MY_PN}-${PV}.tar.xz"
+S="${WORKDIR}/${MY_PN}-${PV}/sources/pyside6"
+
+# See "sources/pyside6/PySide6/licensecomment.txt" for licensing details.
+# Shall we allow essential modules to be disabled? They are:
+# (core), gui, widgets, printsupport, sql, network, testlib, concurrent,
+# x11extras (for X)
+LICENSE="|| ( GPL-2 GPL-3+ LGPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="
+ 3d bluetooth charts +concurrent +dbus designer gles2-only +gui help location
+ multimedia +network network-auth nfc positioning +opengl pdfium positioning
+ +printsupport qml quick quick3d serialport scxml sensors spatialaudio speech
+ +sql svg test +testlib webchannel webengine websockets +widgets +xml
+"
+
+# Manually reextract these requirements on version bumps by running the
+# following one-liner from within "${S}":
+# $ grep 'set.*_deps' PySide6/Qt*/CMakeLists.txt
+# Note that the "designer" USE flag corresponds to the "Qt6UiTools" module.
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ 3d? ( gui network )
+ charts? ( gui widgets )
+ designer? ( widgets )
+ gles2-only? ( gui )
+ gui? ( dbus opengl )
+ help? ( network sql widgets )
+ location? ( gui network positioning quick )
+ multimedia? ( gui network )
+ network-auth? ( network )
+ opengl? ( gui )
+ pdfium? ( gui )
+ printsupport? ( widgets )
+ qml? ( network )
+ quick? ( gui network opengl qml )
+ quick3d? ( gui network opengl qml quick )
+ spatialaudio? ( multimedia )
+ speech? ( multimedia )
+ sql? ( widgets )
+ svg? ( gui )
+ testlib? ( widgets )
+ webchannel? ( qml )
+ webengine? ( network gui printsupport quick webchannel )
+ websockets? ( network )
+ widgets? ( gui )
+"
+
+# Tests fail pretty bad and I'm not fixing them right now
+RESTRICT="test"
+
+# Minimal supported version of Qt.
+QT_PV="$(ver_cut 1-3)*:6"
+
+RDEPEND="${PYTHON_DEPS}
+ ~dev-python/shiboken6-${PV}[${PYTHON_USEDEP},${LLVM_USEDEP}]
+ =dev-qt/qtbase-${QT_PV}[concurrent?,dbus?,gles2-only=,network?,opengl?,sql?,widgets?,xml?]
+ 3d? ( =dev-qt/qt3d-${QT_PV}[qml?,gles2-only=] )
+ bluetooth? ( =dev-qt/qtconnectivity-${QT_PV}[bluetooth] )
+ charts? ( =dev-qt/qtcharts-${QT_PV} )
+ designer? ( =dev-qt/qttools-${QT_PV}[designer] )
+ gui? (
+ =dev-qt/qtbase-${QT_PV}[gui,jpeg(+)]
+ x11-libs/libxkbcommon
+ )
+ help? ( =dev-qt/qttools-${QT_PV}[assistant] )
+ location? ( =dev-qt/qtlocation-${QT_PV} )
+ multimedia? ( =dev-qt/qtmultimedia-${QT_PV} )
+ network-auth? ( =dev-qt/qtnetworkauth-${QT_PV} )
+ nfc? ( =dev-qt/qtconnectivity-${QT_PV}[nfc] )
+ pdfium? ( =dev-qt/qtwebengine-${QT_PV}[pdfium(-),widgets?] )
+ positioning? ( =dev-qt/qtpositioning-${QT_PV} )
+ printsupport? ( =dev-qt/qtbase-${QT_PV}[gui,widgets] )
+ qml? ( =dev-qt/qtdeclarative-${QT_PV}[widgets?] )
+ quick3d? ( =dev-qt/qtquick3d-${QT_PV} )
+ scxml? ( =dev-qt/qtscxml-${QT_PV} )
+ sensors? ( =dev-qt/qtsensors-${QT_PV}[qml?] )
+ speech? ( =dev-qt/qtspeech-${QT_PV} )
+ serialport? ( =dev-qt/qtserialport-${QT_PV} )
+ svg? ( =dev-qt/qtsvg-${QT_PV} )
+ testlib? ( =dev-qt/qtbase-${QT_PV}[gui] )
+ webchannel? ( =dev-qt/qtwebchannel-${QT_PV} )
+ webengine? ( || (
+ =dev-qt/qtwebengine-${QT_PV}[alsa,widgets?]
+ =dev-qt/qtwebengine-${QT_PV}[pulseaudio,widgets?]
+ )
+ )
+ websockets? ( =dev-qt/qtwebsockets-${QT_PV} )
+"
+DEPEND="${RDEPEND}
+ $(llvm_gen_dep '
+ sys-devel/clang:${LLVM_SLOT}
+ sys-devel/llvm:${LLVM_SLOT}
+ ')
+ test? ( =dev-qt/qtbase-${QT_PV}[gui] )
+"
+# testlib is toggled by the gui flag on qtbase
+
+PATCHES=(
+ "${FILESDIR}/${PN}-6.3.1-no-strip.patch"
+ # References files not present in our dev-qt/qtbase
+ "${FILESDIR}/${PN}-6.6.0-no-qtexampleicons.patch"
+)
+
+src_configure() {
+ # See collect_module_if_found macros in PySideHelpers.cmake
+ local mycmakeargs=(
+ -DBUILD_TESTS=$(usex test)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt63DAnimation=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt63DCore=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt63DExtras=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt63DInput=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt63DLogic=$(usex !3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt63DRender=$(usex !3d)
+ #-DCMAKE_DISABLE_FIND_PACKAGE_Qt6AxContainer=yes
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Bluetooth=$(usex !bluetooth)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Charts=$(usex !charts)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Concurrent=$(usex !concurrent)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6DataVisualization=yes
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6DBus=$(usex !dbus)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Designer=$(usex !designer)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Gui=$(usex !gui)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Help=$(usex !help)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6HttpServer=yes
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Location=$(usex !location)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Multimedia=$(usex !multimedia)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6MultimediaWidgets=$(usex !multimedia yes $(usex !widgets))
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6NetworkAuth=$(usex !network-auth)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Network=$(usex !network)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Nfc=$(usex !nfc)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6OpenGL=$(usex !opengl)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6OpenGLWidgets=$(usex !opengl yes $(usex !widgets))
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Pdf=$(usex !pdfium)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6PdfWidgets=$(usex !pdfium yes $(usex !widgets))
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Positioning=$(usex !positioning)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6PrintSupport=$(usex !printsupport)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Qml=$(usex !qml)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Quick3D=$(usex !quick3d)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Quick=$(usex !quick)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6QuickControls2=yes
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6QuickWidgets=$(usex !quick yes $(usex !widgets))
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6RemoteObjects=yes
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Scxml=$(usex !scxml)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Sensors=$(usex !sensors)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6SerialPort=$(usex !serialport)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6SpatialAudio=$(usex !spatialaudio)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Sql=$(usex !sql)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6StateMachine=yes
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Svg=$(usex !svg)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6SvgWidgets=$(usex !svg yes $(usex !widgets))
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Test=$(usex !testlib)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6TextToSpeech=$(usex !speech)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6UiTools=$(usex !designer)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6WebChannel=$(usex !webchannel)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6WebEngineCore=$(usex !webengine)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6WebEngineQuick=$(usex !webengine yes $(usex !quick))
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6WebEngineWidgets=$(usex !webengine yes $(usex !widgets))
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6WebSockets=$(usex !websockets)
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Widgets=$(usex !widgets)
+ #-DCMAKE_DISABLE_FIND_PACKAGE_Qt6WinExtras=yes
+ -DCMAKE_DISABLE_FIND_PACKAGE_Qt6Xml=$(usex !xml)
+ # try to avoid pre-stripping
+ -DQFP_NO_OVERRIDE_OPTIMIZATION_FLAGS=yes
+ -DQFP_NO_STRIP=yes
+
+ )
+
+ pyside6_configure() {
+ local mycmakeargs=(
+ "${mycmakeargs[@]}"
+ -DPYTHON_CONFIG_SUFFIX="-${EPYTHON}"
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ -DPYTHON_SITE_PACKAGES="$(python_get_sitedir)"
+ -DSHIBOKEN_PYTHON_SHARED_LIBRARY_SUFFIX="-${EPYTHON}"
+ )
+ cmake_src_configure
+ }
+ python_foreach_impl pyside6_configure
+}
+
+src_compile() {
+ python_foreach_impl cmake_src_compile
+}
+
+src_test() {
+ local -x PYTHONDONTWRITEBYTECODE
+ python_foreach_impl virtx cmake_src_test
+}
+
+src_install() {
+ pyside6_install() {
+ cmake_src_install
+ python_optimize
+
+ # Uniquify the shiboken6 pkgconfig dependency in the PySide6 pkgconfig
+ # file for the current Python target. See also:
+ # https://github.com/leycec/raiagent/issues/73
+ sed -i -e 's~^Requires: shiboken6$~&-'${EPYTHON}'~' \
+ "${ED}/usr/$(get_libdir)"/pkgconfig/${PN}.pc || die
+
+ # Uniquify the PySide6 pkgconfig file for the current Python target,
+ # preserving an unversioned "pyside6.pc" file arbitrarily associated
+ # with the last Python target. (See the previously linked issue.)
+ cp "${ED}/usr/$(get_libdir)"/pkgconfig/${PN}{,-${EPYTHON}}.pc || die
+ }
+ python_foreach_impl pyside6_install
+
+ # CMakeLists.txt installs a "PySide6Targets-gentoo.cmake" file forcing
+ # downstream consumers (e.g., pyside6-tools) to target one
+ # "libpyside6-*.so" library linked to one Python interpreter. See also:
+ # https://bugreports.qt.io/browse/PYSIDE-1053
+ # https://github.com/leycec/raiagent/issues/74
+ sed -i -e 's~pyside6-python[[:digit:]]\+\.[[:digit:]]\+~pyside6${PYTHON_CONFIG_SUFFIX}~g' \
+ "${ED}/usr/$(get_libdir)/cmake/PySide6/PySide6Targets-${CMAKE_BUILD_TYPE,,}.cmake" || die
+}
diff --git a/dev-python/shiboken6/Manifest b/dev-python/shiboken6/Manifest
index 9752042652b8..21c45dac0310 100644
--- a/dev-python/shiboken6/Manifest
+++ b/dev-python/shiboken6/Manifest
@@ -1,4 +1,6 @@
AUX shiboken6-6.3.1-no-strip.patch 1001 BLAKE2B c486f9423d4934c2305e8f3109f017dbebd568573469a2fced8da895fbc61ef07a80e0d1c846e7a57988801d6ec4be05b86b46a8039e6702d667129a899fc137 SHA512 1f3e5b082a978e3ab8d8f4d9a5a0a661b8c063e2ece0221440abe342fbd45d566a384d588dbf00a1e469687f82da3728cd53e35d02077ce6a748d3747de3cec2
DIST pyside-setup-everywhere-src-6.6.1.tar.xz 13887704 BLAKE2B 14a75cb6d20dced9b1edf79b8bb40ce44ecb7642f45743e59bc2d55b3e6fa5a742a0a0e5712b8f8cd4d908cc0f5103ac823390db968f42d0782818242c6f77e5 SHA512 3516f3e4595f1ba4ebbc680c5a94f9f939e04c0a3257720ebdd7ed12307bb007d1c73824029f51ec71c41a335268f34834250a5e87b3c4356d9e0a6f1d6b1f71
+DIST pyside-setup-everywhere-src-6.6.2.tar.xz 13975896 BLAKE2B b4572e58613e5446692e8c4cef28156fd0126ecda0c6334652ce49c6c7ce4614dbf2400c693addaa38e9b6cca9e331b9fe84c83ddb26e7014b8603afe2c54ad6 SHA512 1d23d27a4cbe74434ec5d391172416d324b4c92181401444821b456b4e27dabbdb3dcaad685a22b62c09f750555a4e626bbb6406a2fbde1cf4ec5c8bbb64cda5
EBUILD shiboken6-6.6.1.ebuild 6530 BLAKE2B 9c175e5fded88870fc7345f296ee0832d3cc6a883a03aa717d34a4c66fcaff0b513840d215600e25dd07f71a3944e1740361193166d962105bb3f580cbd7f8b5 SHA512 707d8b97e1ce2a53f7ac1c0d03d1d04a7bf0fcd7ab37c89cf8f83c6220deaeef7345ffdd6b65b36e067966e3c20d077b50f095a5ff6fbf940bc4d009a0c0719d
+EBUILD shiboken6-6.6.2.ebuild 6530 BLAKE2B 9c175e5fded88870fc7345f296ee0832d3cc6a883a03aa717d34a4c66fcaff0b513840d215600e25dd07f71a3944e1740361193166d962105bb3f580cbd7f8b5 SHA512 707d8b97e1ce2a53f7ac1c0d03d1d04a7bf0fcd7ab37c89cf8f83c6220deaeef7345ffdd6b65b36e067966e3c20d077b50f095a5ff6fbf940bc4d009a0c0719d
MISC metadata.xml 730 BLAKE2B 33e7e589d02ec0517e134aa50407ecb97c6800be3ab7b69174d65776f62c1f25c2b2209d51299d9e0110b5f5e9322ee2c0b43dc89e6b12c40ea322ca9bc8eb3f SHA512 cc4ecdd9bc86ce59c2027c6f87307d32bd76d5d2cd8c07edb6c60cc5317ea52a96136c7597a179d75f1632db2999300d8b8f0567679ba3fc562804774fcdcc98
diff --git a/dev-python/shiboken6/shiboken6-6.6.2.ebuild b/dev-python/shiboken6/shiboken6-6.6.2.ebuild
new file mode 100644
index 000000000000..428293079631
--- /dev/null
+++ b/dev-python/shiboken6/shiboken6-6.6.2.ebuild
@@ -0,0 +1,174 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# TODO: Split the "/usr/bin/shiboken6" binding generator from the
+# "/usr/lib64/libshiboken6-*.so" family of shared libraries. The former
+# requires everything (including Clang) at runtime; the latter only requires
+# Qt and Python at runtime. Note that "pip" separates these two as well. See:
+# https://doc.qt.io/qtforpython/shiboken6/faq.html#is-there-any-runtime-dependency-on-the-generated-binding
+# Once split, the PySide6 ebuild should be revised to require
+# "/usr/bin/shiboken6" at build time and "libshiboken6-*.so" at runtime.
+# TODO: Add PyPy once officially supported. See also:
+# https://bugreports.qt.io/browse/PYSIDE-535
+PYTHON_COMPAT=( python3_{10..12} )
+
+LLVM_COMPAT=( {15..17} )
+
+inherit cmake llvm-r1 python-r1 toolchain-funcs
+
+MY_PN="pyside-setup-everywhere-src"
+
+DESCRIPTION="Python binding generator for C++ libraries"
+HOMEPAGE="https://wiki.qt.io/PySide6"
+SRC_URI="https://download.qt.io/official_releases/QtForPython/pyside6/PySide6-${PV}-src/${MY_PN}-${PV}.tar.xz"
+S="${WORKDIR}/${MY_PN}-${PV}/sources/shiboken6"
+
+# The "sources/shiboken6/libshiboken" directory is triple-licensed under the
+# GPL v2, v3+, and LGPL v3. All remaining files are licensed under the GPL v3
+# with version 1.0 of a Qt-specific exception enabling shiboken6 output to be
+# arbitrarily relicensed. (TODO)
+LICENSE="|| ( GPL-2 GPL-3+ LGPL-3 ) GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+docstrings numpy test vulkan"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Tests fail pretty bad and I'm not fixing them right now
+RESTRICT="test"
+
+# Minimal supported version of Qt.
+QT_PV="$(ver_cut 1-3)*:6"
+
+# Since Clang is required at both build- and runtime, BDEPEND is omitted here.
+RDEPEND="${PYTHON_DEPS}
+ =dev-qt/qtbase-${QT_PV}
+ $(llvm_gen_dep '
+ sys-devel/clang:${LLVM_SLOT}
+ sys-devel/llvm:${LLVM_SLOT}
+ ')
+ docstrings? (
+ >=dev-libs/libxml2-2.6.32
+ >=dev-libs/libxslt-1.1.19
+ )
+ numpy? ( dev-python/numpy[${PYTHON_USEDEP}] )
+ vulkan? ( dev-util/vulkan-headers )
+"
+DEPEND="${RDEPEND}
+ test? ( =dev-qt/qtbase-${QT_PV}[gui] )
+"
+# testlib is toggled by the gui flag on qtbase
+
+DOCS=( AUTHORS )
+
+PATCHES=(
+ "${FILESDIR}/${PN}-6.3.1-no-strip.patch"
+)
+
+src_prepare() {
+ # TODO: File upstream issue requesting a sane way to disable NumPy support.
+ if ! use numpy; then
+ sed -i -e '/\bprint(os\.path\.realpath(numpy))/d' \
+ libshiboken/CMakeLists.txt || die
+ fi
+
+ # Shiboken6 assumes Vulkan headers live under either "$VULKAN_SDK/include"
+ # or "$VK_SDK_PATH/include" rather than "${EPREFIX}/usr/include/vulkan".
+ if use vulkan; then
+ sed -i -e "s~\bdetectVulkan(&headerPaths);~headerPaths.append(HeaderPath{QByteArrayLiteral(\"${EPREFIX}/usr/include/vulkan\"), HeaderType::System});~" \
+ ApiExtractor/clangparser/compilersupport.cpp || die
+ fi
+
+ local clangver="$(CPP=clang clang-major-version)"
+
+ # Clang 15 and older used the full version as a directory name.
+ if [[ ${clangver} -lt 16 ]]; then
+ clangver="$(CPP=clang clang-fullversion)"
+ fi
+
+ # Shiboken6 assumes the "/usr/lib/clang/${CLANG_NEWEST_VERSION}/include/"
+ # subdirectory provides Clang builtin includes (e.g., "stddef.h") for the
+ # currently installed version of Clang, where ${CLANG_NEWEST_VERSION} is
+ # the largest version specifier that exists under the "/usr/lib/clang/"
+ # subdirectory. This assumption is false in edge cases, including when
+ # users downgrade from newer Clang versions but fail to remove those
+ # versions with "emerge --depclean". See also:
+ # https://github.com/leycec/raiagent/issues/85
+ #
+ # Sadly, the clang-* family of functions exported by the "toolchain-funcs"
+ # eclass are defective, returning nonsensical placeholder strings if the
+ # end user has *NOT* explicitly configured their C++ compiler to be Clang.
+ # PySide6 does *NOT* care whether the end user has done so or not, as
+ # PySide6 unconditionally requires Clang in either case. See also:
+ # https://bugs.gentoo.org/619490
+ sed -i -e 's~(findClangBuiltInIncludesDir())~(QStringLiteral("'"${EPREFIX}"'/usr/lib/clang/'"${clangver}"'/include"))~' \
+ ApiExtractor/clangparser/compilersupport.cpp || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ # Minimal tests for now, 2 failing with the extended version
+ # FIXME Subscripted generics cannot be used with class and instance checks
+ local mycmakeargs=(
+ -DBUILD_TESTS=$(usex test)
+ -DDISABLE_DOCSTRINGS=$(usex !docstrings)
+ )
+
+ shiboken6_configure() {
+ local mycmakeargs=(
+ "${mycmakeargs[@]}"
+ -DPYTHON_CONFIG_SUFFIX="-${EPYTHON}"
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ -DUSE_PYTHON_VERSION="${EPYTHON#python}"
+ )
+ # CMakeLists.txt expects LLVM_INSTALL_DIR as an environment variable.
+ local -x LLVM_INSTALL_DIR="$(get_llvm_prefix)"
+ cmake_src_configure
+ }
+ python_foreach_impl shiboken6_configure
+}
+
+src_compile() {
+ python_foreach_impl cmake_src_compile
+}
+
+src_test() {
+ python_foreach_impl cmake_src_test
+}
+
+src_install() {
+ shiboken6_install() {
+ cmake_src_install
+ python_optimize
+
+ # Uniquify the "shiboken6" executable for the current Python target,
+ # preserving an unversioned "shiboken6" file arbitrarily associated
+ # with the last Python target.
+ cp "${ED}"/usr/bin/${PN}{,-${EPYTHON}} || die
+
+ # Uniquify the Shiboken6 pkgconfig file for the current Python target,
+ # preserving an unversioned "shiboken6.pc" file arbitrarily associated
+ # with the last Python target. See also:
+ # https://github.com/leycec/raiagent/issues/73
+ cp "${ED}/usr/$(get_libdir)"/pkgconfig/${PN}{,-${EPYTHON}}.pc || die
+ }
+ python_foreach_impl shiboken6_install
+
+ # CMakeLists.txt installs a "Shiboken6Targets-gentoo.cmake" file forcing
+ # downstream consumers (e.g., PySide6) to target one "libshiboken6-*.so"
+ # library and one "shiboken6" executable linked to one Python interpreter.
+ # See also:
+ # https://bugreports.qt.io/browse/PYSIDE-1053
+ # https://github.com/leycec/raiagent/issues/74
+ sed -i \
+ -e 's~shiboken6-python[[:digit:]]\+\.[[:digit:]]\+~shiboken6${PYTHON_CONFIG_SUFFIX}~g' \
+ -e 's~/bin/shiboken6~/bin/shiboken6${PYTHON_CONFIG_SUFFIX}~g' \
+ "${ED}/usr/$(get_libdir)"/cmake/Shiboken6/Shiboken6Targets-${CMAKE_BUILD_TYPE,,}.cmake || die
+
+ # Remove the broken "shiboken_tool.py" script. By inspection, this script
+ # reduces to a noop. Moreover, this script raises the following exception:
+ # FileNotFoundError: [Errno 2] No such file or directory: '/usr/bin/../shiboken_tool.py': '/usr/bin/../shiboken_tool.py'
+ rm "${ED}"/usr/bin/shiboken_tool.py || die
+}
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index 6bba4a955287..9ed439f693f4 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -1,7 +1,9 @@
DIST stripe-8.0.0.tar.gz 1070432 BLAKE2B 9f0b605d1c2c5f58dafcc78fb3d4878406c466b92475d08510116352325f5ba6ff3dc379fbd914b25faac7ced7e3fe5f52eecabbff5c479eaaf567cdbcb6a900 SHA512 c5ed151b41e3b2b11d502d51aad7c5c575e6ff151dcab8ffd86e32b4f37eeb1a6e381380b123802af938bb2adfbdda8a71c00e9e0b68e9493469cc6a90d94185
DIST stripe-8.1.0.tar.gz 1065303 BLAKE2B be82278fa4b401c0259e5d48a4d232557cda98771254cec5dddd7ef5bcd2896e7545d9a3463c9d27da5b6df0b98ff07de292888c00c92fa51f4ebe1b04806e7b SHA512 fbc2c7d3d8da5d0ba261c38bd9371df26beab4a509c86fac6f759678fe8fb387a178bcf49b4cf4a10d44469bbac1626a0bc79d5ba99797f6fbdaa7fc5fdd34b4
DIST stripe-8.2.0.tar.gz 1066563 BLAKE2B e622ff4bfbcf8fe97c6dad7858845b5fc863523be8777c2c99549d4e5ec6e1af77058f79c466bc4bbffaec1f7410f16e0940f145b0af9cfc0b10d6c2bcf20669 SHA512 57e538de91de380116f67cda8108edead1795a92cc39cb0025ea71b94208929d710ca6101aeeb1e8d489dca0af372d6768443dbd2631b7aadc365b6fce395e4e
+DIST stripe-8.3.0.tar.gz 1067989 BLAKE2B fb91886e93e9398fac0e20d72f70e63579150bdf27d594ec256b74e76561a5fe52ab326743f31d0f48874f3e066fbd0441569d62f41da0ec486ad84a592ce4e1 SHA512 963bc17da4acb8664482459dd0c09bba6859f17e0aa0ef55da8a9aa588174e1f34072084e9f94829cf81d0e4f9bb78df2836fdc58710f49acb4b17a271b7742c
EBUILD stripe-8.0.0.ebuild 2139 BLAKE2B 81d161c09e2820fe46ef277d50e6d0d25c234678f47f929a9fe48baf8dedeacd5c026189fe12c9ca194460f5d67bf7dd1421b3b1d9b6cb0052c45b8ab3a592b4 SHA512 6efc8383b30d782d451853ea5a4344bc9606cf1a28fd5faab5583f1e3917b213c13488e30322b44fd6da09920e5f01d431c61027fe7a688a062294d863cf85a4
EBUILD stripe-8.1.0.ebuild 2142 BLAKE2B cd97002f710e38f9bcaf54916678a0a36c6a1107776c7baee1fcf011d111a4a5a043421e3db33824535db9942c0d3b6bbfd58715a340daf5af96c7735c9065a6 SHA512 4e9e51636a5e11444f2fc3d24412124620622957852b317f6e294ac2dd29c709225a4bda24a735587f6e2e7901b4ae9168f3c2d4579c5ccd1fe93d8fbfe7727e
EBUILD stripe-8.2.0.ebuild 2142 BLAKE2B cd97002f710e38f9bcaf54916678a0a36c6a1107776c7baee1fcf011d111a4a5a043421e3db33824535db9942c0d3b6bbfd58715a340daf5af96c7735c9065a6 SHA512 4e9e51636a5e11444f2fc3d24412124620622957852b317f6e294ac2dd29c709225a4bda24a735587f6e2e7901b4ae9168f3c2d4579c5ccd1fe93d8fbfe7727e
+EBUILD stripe-8.3.0.ebuild 2142 BLAKE2B 12b001219d977c62a6077979b148cce983a3cab06ed9513222d50ee54b5e1958e70d01d906f50e0e2103674c68a0822de16309ce6abfa17e1883d04c1a7c7160 SHA512 9794a2cd535557155735e3805d99b6825f27e827a82b505042e15cfc53d4912c384fc3d9687bdb5eb2474ebac3f3a08d84946e2a617bb18729c2d80ba59a4fe6
MISC metadata.xml 673 BLAKE2B 6b85b1f88713d2365274fcff21648748039b48028b3c34c1192e16ca12d0f3b4d14ab13c7c2a744c381898ea0c1304bda8be52d3fadddc1a1b787f010b001398 SHA512 e3178927a69d14f59673acc5eaedda59db5a07e2145ed6fb0597363b60183cb3e7a7b0feefc1d4c9095d52ed96e0be32ef5dc23ad0c20fd6e6b33c830177c0be
diff --git a/dev-python/stripe/stripe-8.3.0.ebuild b/dev-python/stripe/stripe-8.3.0.ebuild
new file mode 100644
index 000000000000..5ed0d9dd1b63
--- /dev/null
+++ b/dev-python/stripe/stripe-8.3.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="
+ https://github.com/stripe/stripe-python/
+ https://pypi.org/project/stripe/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="telemetry"
+
+RDEPEND="
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.5.0[${PYTHON_USEDEP}]
+"
+# please bump dev-util/stripe-mock dep to the latest version on every bump
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.182.0
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
+
+src_prepare() {
+ if ! use telemetry; then
+ sed -i -e '/enable_telemetry/s:True:False:' stripe/__init__.py || die
+ fi
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests -p pytest_mock
+}
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ ${stripe_mock_port} -le ${stripe_mock_max_port} ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port "${stripe_mock_port}" &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=${!}
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ "http://127.0.0.1:${stripe_mock_port}/v1/customers" &> /dev/null
+ eend ${?} "Port ${stripe_mock_port} unavailable"
+ if [[ ${?} -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ ${stripe_mock_port} -gt ${stripe_mock_max_port} ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}